$(document).ready(function(event) {
    //Define página atual
    var tamanho = location.href.lastIndexOf('/');
	var arquivo = location.href.substring(tamanho+1);
	var numero = arquivo.lastIndexOf('.');
    CURRENT_PAGE = arquivo.split(".html")[0];
	//End
	

    //Chama contrutor de página
    page_builder = require("./modulos/page_builder");
    //End

    //Controla modais
    modal = require("./modulos/modal");
    //End

    //Controla botẽs
    botoes = require("./modulos/botoes");
    //End
    
    
    //Controla tooltips
    tooltip = require("./modulos/tooltips");
    //End


    //Controla accordion
    accordion = require("./modulos/accordion");
    //End

    //Controla animações do tipo Txt Select
    txt_select = require("./modulos/obj_select_animation");
    //End

    //Controla animações dos objetos com classe "anime"
    anime_animation = require("./modulos/anime_animations");
    //End
    

    //Controla slider
    slider = require("./modulos/slider");
    //End


    //Controla blocos retrateis
    blocos_retrateis = require("./modulos/blocos_retrateis");
    //End


    //Controla caixas-dialogo
    dialogo = require("./modulos/dialogo");
    //End


    //Controla efeito zoom em imagens
    zoom = require("./modulos/imagens_zoom");

    
    //Controla efeitos variados
    small_efects = require("./modulos/small_efects");
    //End

	//notes
	//notes = require("./modulos/notes");

	//marcadores
	markers  = require("./modulos/markers");

	//Efeito 3d
	efeito3d = require("./modulos/efeito3d");

	//TimeCircles
	timecircles = require("./modulos/TimeCircles");


	//Caixas
	caixas = require("./modulos/caixas");

	//Infografico

	info = require("./modulos/info");

	//Comparação
	comparacao = require("./modulos/comparacao2");


	//Timeline-cenas
	timelinecenas = require("./modulos/timeline-cenas");

	//Destaque
	destaque = require("./modulos/destaque_imagem");

    //Adds the ui-tabs class to tabs
    $( "#horizontal-tabs" ).tabs().addClass('ui-tabs-horizontal');
    $( "#vertical-tabs" ).tabs().addClass('ui-tabs-vertical');
    $('.ui-tabs-vertical').addClass('clearfix');
    //End


    //Insere cores
    $('body').css('background-color',BGCOLOR);
	$('.caixa-texto').addClass(COLOR_CX);
	$('.caixa-icone').addClass(COLOR_CX_ICONE);
    //End


});



$(window).resize(function(){
    responsive_height(); 
    $('.super_icone').off();
    $('.super_icone img').each(function(){
       iconesAnimados($(this));
    });
});

function iconesAnimados(iconeAnimado){

	var altura =iconeAnimado.parent('.super_icone').width();
	var imagemIcone = iconeAnimado;
	imagemIcone.height(altura);
	var margem = altura;
	var superTimer = 0;
	var cenasIcone = [];
	var cenaIcone = 1;
	var tempo = 0;
	var quadros =  imagemIcone.width()/altura;

	if(quadros*41.66 >= 1000){
		tempo = 75;
	}else{
		tempo = Math.round(1000/quadros);
	}

	for(i = 0 ; i < quadros; i++){
	 	cenasIcone.push(-i*margem+"px");
	}


	iconeAnimado.parent('.super_icone').on("mouseenter", function(){
	clearTimeout(superTimer);

	function animaIcone(icone){
		clearTimeout(superTimer);
		if(cenaIcone < cenasIcone.length){
			icone.css({marginLeft:cenasIcone[cenaIcone]});
				superTimer = setTimeout(function(){
					animaIcone(icone);
				},tempo);
					cenaIcone++;
				}

		}

		animaIcone(imagemIcone);
	});

	iconeAnimado.parent('.super_icone').on("mouseleave", function(){
		function paraIcone(icone){
			clearTimeout(superTimer);
			cenaIcone = 0;
			icone.css({marginLeft:cenasIcone[cenaIcone]});


		}

			paraIcone(imagemIcone);

	});
}


$(function(){
    var tl = new TimelineMax();
    $('.cor li').each(function(){
        tl.from($(this), 0.5, { alpha:0, x:100, ease:Elastic.easeOut });
    });
});


function responsive_height(){
	
	$('body > .page').css('margin-top', 0 );
	if( window.innerWidth < 700 ){
		var ht = $('body > .page > .header').outerHeight(true);
		var cont = $('body > .page > .conteudo');
		var hc = cont.outerHeight(true);
		var dif = window.innerHeight - ht - hc; 
		if( dif > 0 ){
			cont.height( cont.height() + dif );
		}
	}
	else{
		var dif = window.innerHeight - $('body').height();
		if( dif > 0 ){
			$('body > .page').css('margin-top', dif/2 );
		}
	}
}