require("./pageVars");




//Configuração de touch
var touchDevice = ('ontouchstart' in document.documentElement);
$.mobile.defaultPageTransition = 'none';
$.event.special.swipe.horizontalDistanceThreshold=100;
$.event.special.swipe.durationThreshold=200;
//

function addListeners(){
    //Navegação
    $('#navigator .voltar').click(function(event){
        event.preventDefault();
        if( !$(this).hasClass('disabled') ){
            redirectPage("prev");
        }
    });

    $('#navigator .avancar').click(function(event){
        event.preventDefault();
        if( !$(this).hasClass('disabled') ){
            redirectPage("next");
        }
    });

}



 
//swipe functions
if(touchDevice){
    $( document ).on( "swiperight", function( event ) {
            
        
                console.log('voltar');
                if( !$('#navigator .voltar').hasClass('disabled') ){
                    //$("body").fadeOut(200, 'swing', function() {redirectPage("prev") });
                    redirectPage("prev");
                }
            
    });
    $( document ).on( "swipeleft", function( event ) {
            
        
                console.log('avançar');
                if( !$('#navigator .avancar').hasClass('disabled') ){
                    //$("body").fadeOut(200, 'swing', function() {redirectPage("next") });
                    redirectPage("next");
                }
            
    });
}
//navigating with arrows

$( document ).on( "keydown", function( event ) {
        //seta direita
        if(!touchDevice && event.keyCode == 39){
            
            if( !$('#navigator .avancar').hasClass('disabled') ){
                //$("body").fadeOut(200, 'swing', function() {redirectPage("prev") });
                
                redirectPage("next");

            }
        }
});

$( document ).on( "keydown", function( event ) {
        //seta esquerda
        if(!touchDevice && event.keyCode == 37){
            
            if( !$('#navigator .voltar').hasClass('disabled') ){
                //$("body").fadeOut(200, 'swing', function() {redirectPage("prev") });
                
                redirectPage("prev");

            }
        }
});

//redirectFuncion
function redirectPage(page) {
    if(page=="next"){
        //$('body').fadeOut(300, function(){
            
            window.location.href = checkPageState((parseInt(CURRENT_PAGE)+1)+'.html');
        //});
        
    }
    if(page=="prev"){
        //$('body').fadeOut(300, function(){
            window.location.href = checkPageState((parseInt(CURRENT_PAGE)-1)+'.html');
        //});
        
    }
}

//end

var font_manipulation = false;
var font = 0;



//Checa variaveis de página
if(GET['font']){
    font_manipulation = true;
    font = GET["font"];
    $('.conteudo').addClass('aumento_fonte');
    
}

//Navegação pelo sumário

$(".sumarioCircle").click(function(){
	var page = $(this).attr("id").split("sumarioC")[1];
	window.location.href = checkPageState(page+'.html');
});
$(".sumarioText").click(function(){
	var page = $(this).attr("id").split("sumario")[1];
	window.location.href = checkPageState(page+'.html');
});

//Navegação pelas páginas

$(".pagina").click(function(){
	window.location.href = checkPageState($(this).text()+'.html');
});


$('.fonte_aumentar').click(function(){
    
	aumentar_fonte();
});
$('.fonte_normalizar').click(function(){
	normalizar_fonte();
});
$('.fonte_diminuir').click(function(){
	
	diminuir_fonte();
});

init_p = 0;
init_h2 = 0;
init_li = 0;
get_normal_font();

function get_normal_font(){
    if($(".conteudo p").length) init_p = $(".conteudo p").css("font-size");
    if($(".conteudo h2").length) init_h2 = $(".conteudo h2").css("font-size");
    if($(".conteudo li").length) init_li = $(".conteudo li").css("font-size");
    
}

function diminuir_fonte(){
	
    var size = parseFloat( $('.conteudo p').css('font-size') );
    if(!font_manipulation) get_normal_font();
	if(size > 14){
        $('.conteudo').css('font-size',size-1);
        $('.page p').css('font-size',size-1);
		font_manipulation = true;
		font = size-1;
	}
	
}
function aumentar_fonte(){
    var size = parseFloat( $('.conteudo p').css('font-size') );
    if(!font_manipulation) get_normal_font();
    
    if (navigator.userAgent.search("Firefox") >= 0){
        if(size < 16.8){
            
            $('.conteudo').css('font-size',size+1);
            $('.page p').css('font-size',size+1);
            $('.conteudo').addClass('aumento_fonte');
            font_manipulation = true;
            font = size+1;
        }
    }else{
        if(size < 18){
            $('.conteudo').css('font-size',size+1);
            $('.page p').css('font-size',size+1);
            $('.conteudo').addClass('aumento_fonte');
            font_manipulation = true;
            font = size+1;
        }
    }
	

	
}
function normalizar_fonte(){
    if($(window).width() > 900){
        $('.conteudo').css('font-size',"1em");
        $('.conteudo p').css('font-size',"1em");
        $('.conteudo h2').css('font-size',"1.2em");
        $('.page p').css('font-size',"1em");
    }else{
        $('.conteudo p').css('font-size',"12px");
        $('.conteudo').css('font-size',12);
        $('.conteudo h2').css('font-size',"13px");
        $('.page p').css('font-size',12);
    }
    get_normal_font();
    if($(".page").height() < 640) {
		
		
		if($(".conteudo p").length) {
            $(".conteudo p").css("font-size", parseFloat(init_p));
            $(".conteudo p").css("font-size", parseFloat($("body p").css("font-size").split("px")[0]) - 1);
        }
		
		if($(".conteudo h2").length) {
            $(".conteudo h2").css("font-size", parseFloat(init_h2));
            $(".conteudo h2").css("font-size", parseFloat($(".conteudo h2").css("font-size")
        .split("px")[0]) - 2);
        }
		if($(".conteudo li").length) {
            $(".conteudo li").css("font-size", parseFloat(init_li));
            $(".conteudo li").css("font-size", parseFloat($(".conteudo li").css("font-size").split("px")[0]) - 2);
        }
      

		
		
		//console.log("over true");
		
	}
	$('.conteudo').removeClass('aumento_fonte');
	font_manipulation = false;
}


function checkPageState(url){
    
    if($(".navbarMenu").hasClass("activated")){
        
        if($(".navbarMenu").hasClass("menu")) url = url+"?menu=menu";
        if($(".navbarMenu").hasClass("sumario")) url = url+"?menu=sumario";
        if($(".navbarMenu").hasClass("tamanho_fonte")) url = url+"?menu=tamanho_fonte";
        if($(".navbarMenu").hasClass("creditos")) url = url+"?menu=creditos";
        if($(".navbarMenu").hasClass("paginas")) url = url+"?menu=paginas";
        console.log(font_manipulation); 
		if(font_manipulation){
            console.log('uau'); 
            url = url + "&font="+font;   
        }
    
        }else{
            if(font_manipulation) url = url + "?font="+font;
        
	    }
    
    return url;
}

module.exports = addListeners;