//Muda título da pagina
require("./pageVars");




document.title = 'Página '+ CURRENT_PAGE + ' - ' + MODULE_NAME;
var sumario = require('../../../und'+UNIDADE_NUMBER+'/sumario'); 


var mobile = false;
var highlight_open = false;



$(".page").addClass(COLOR_PAGE);
var array_comments = [];
var array_marcacoes = [];
var array_commented = [];

var fonte_alterada = false;


//Pega páginas já lidas

var paginas_lidas = [];
get_paginasLidas();
if(paginas_lidas.indexOf(CURRENT_PAGE) == -1){
	if(CURRENT_PAGE == 1 || paginas_lidas.indexOf( (CURRENT_PAGE - 1).toString()) != -1){
		
		paginas_lidas.push(CURRENT_PAGE);
		set_paginasLidas();
	}
	
}


//Desenha Menu
desenhaMenu();
desenhaCaixaComentario();
/* desenhaMenuComentarios(); */




//Desenha Layout e Barra de progresso
var progress = '<div class="meter"><span style="width: 25%"></span><div class="handle"></div><div class="pageNumber"></div></div><div class="pagePercentage"></div>';
$(progress).prependTo($(".conteudo"));

progress_bar = require("./progress_bar.js");
navegacao = require("./navegacao.js");

//adjust_page();


function adjust_page(){
	var window_w = $(window).width();
	var window_h = $(window).height();
	var page_height = 778;
	if(window_w>900){

		var back_header_h = ((window_h - 778)/2)+70;
		var back_footer_h = ((window_h - 778)/2)+30;
		$(".back_header").height(back_header_h);
		$(".back_footer").height(back_footer_h);
		$(".page").css("top", ((window_h - 778)/2));
		$(".page").css("height", 778);
	}
}



window.onresize = function(){
	build_page();
};

navegacao();
build_page();
//Checa variaveis de página
if(GET['menu']){
	$(".btnMenuDiv").addClass("btnMenuActive");

	openMenu($(".navbarMenu"));
	switch(GET['menu']){
		case 'sumario':	
			abrirSubMenu("sumario");	
			break;
		case 'referencias':	
			abrirSubMenu("referencias");	
			break;
		case 'tamanho_fonte':	
			abrirSubMenu("tamanho_fonte");	
			break;
		case 'creditos':	
			abrirSubMenu("creditos");	
			break;
		case 'paginas':	
			abrirSubMenu("paginas");	
			break;
	}
}



$("html").mouseup(function(e){
    var menu = $(".navbarMenu");
    var menu2 = $("#tamanho_fonte_menu");
    var menu3 = $('.btnMenu');
    if(!menu.is(e.target) && menu.has(e.target).length === 0 && !menu2.is(e.target) && menu2.has(e.target).length === 0 && !menu3.is(e.target) && menu3.has(e.target).length === 0 && $(menu).hasClass('activated')){
        
		if(mobile){
			$(".icon-ebook-menu").addClass("activeNav");
        	$(".icon-cross").removeClass("activeNav");
			closeMenu(menu);
			$(menu2).removeClass('open');
			$(menu2).slideUp(300);
		}
		
		
        
		
	}
	
	if(!$(e.target).hasClass('comentarios') && !$(e.target).hasClass('cmt') && !$(e.target).hasClass('icon-bubble')  && !($(e.target).hasClass("menuComentarios"))  && !($(e.target).hasClass("modal_content"))){
	
		if($(".comentarios").hasClass('activeBtn_Cmt'))closeMenu_Comentarios();
		
	}
	
	if($($(e.target).parent()).hasClass("highlight_cmt") || $($(e.target).parent()).hasClass("highlight")){
		if(highlight_open == false){
			highlight_open = true;
			var hgt = $($(e.target).parent()).attr("hgt");
			
			if(array_commented.includes(parseInt(hgt))){
				
				var cmt = array_commented.indexOf(parseInt(hgt));
				
				abrirMenuComentarios(cmt);
				
			}else{
				deletarMarcacao(hgt);
			}
		}
	}
});


    



//Cuida do fade in da página
function pageFadeIn(){
    var body = $("body");
	body.hide();
	body.fadeIn(300, 'linear');
	body.show();
}


var overflowed = false;
function build_page(){
	var window_width = $(window).width();
	var header = $('body > .page > .header');
	$(".page").css("left", (window_width - $('.page').width())/2);
	
	header.empty();
	$(".back").remove();
	$(".marcador").remove();
	$(".comentarios").remove();
	
	if(window_width>900){	
		$(".modal, .modal_cmt").css("left", (window_width - $('.page').width())/2);
		mobile = false;
		header.html(
			'<div class="top '+FONT_CABEC+'"><div class="moduleName">'+ MODULE_NAME +'</div>'+
			'<div id="navigator">'+
				'<a href="#" class="voltar '+COLOR_MENU_ARROW+' '+ (CURRENT_PAGE==1?'disabled':'') +'"></a>'+
			
				'<a href="#" class="atual" >'+ CURRENT_PAGE +'/'+PAGES_TOTAL+'</a>'+
			
				'<a href="#" class="avancar '+COLOR_MENU_ARROW+' '+ (CURRENT_PAGE==PAGES_TOTAL?'disabled':'') +'"></a>'+
			'</div>'+
			'</div>'
			
		);

		var back = '<div class="back"></div>';
	
		$(back).prependTo($('body'));
		
		var back_content = '<div class="back_header">'+
		'<ul class="navbar"><li class="btnMenu"><div class="btnMenuDiv"><a href="#"></a></div></li></ul>'+
		'<div class="comentarios"></div>'+
		'<div class="marcador"></div>'+
		
		'</div>'+
		'<div class="back_footer"></div>';
		
		$(back_content).appendTo($(".back"));
		
		$(".navbarMenu").css("left", $('.btnMenuDiv').position().left+15);
		$(".navbarMenu").css("top", $('.conteudo').position().top+8);
		/* $("#navigator").css("top", "17%"); */
		$(".menuComentarios").css("top", $('.comentarios').position().top+42);
		$(".menuComentarios").css("left", $('.comentarios').position().left-200);
		/* $(".pagePercentage").css("top", "129%");
		$(".pagePercentage").css("right", "5.5%"); */
	
	

		
	}else{
		mobile = true;
		header.html(
			'<div class="title_top moduleName">'+ MODULE_NAME +'</div><div class="top smalltop '+FONT_CABEC+'"><li class="btnMenu smallmenu"><div class="btnMenuDiv"><a href="#"></a></div></li>'+
			'<div class="comentarios"></div>'+
			'<div class="marcador"></div>'+
			
			'<div id="navigator">'+
				'<a href="#" class="voltar '+COLOR_MENU_ARROW+' '+ (CURRENT_PAGE==1?'disabled':'true') +'"></a>'+
			
				'<a href="#" class="atual" >'+ CURRENT_PAGE +'/'+PAGES_TOTAL+'</a>'+
			
				'<a href="#" class="avancar '+COLOR_MENU_ARROW+' '+ (CURRENT_PAGE==PAGES_TOTAL?'disabled':'true') +'"></a>'+
			'</div>'
	
		);

	/* 	var coment_menus = '<div class="marcador marcador_footer"><span class="icon-pencil initialNav"></span></div>'+
		'<div class="comentarios comentários_footer"><span class="icon-bubble initialNav"></span></div>';

		$(coment_menus).insertAfter(".page"); */
		
		$(".navbarMenu").css("left", "1.5%");
		$(".navbarMenu").css("top", $('.conteudo').position().top);
		/* $("#navigator").css("top", "60%"); */
		$(".addComentario").css("top", "15%");
		$(".addComentario").css("right", "5%");
		$(".menuComentarios").css("top", "11%");
		$(".menuComentarios").css("left", "1.5%");
		/* $(".pagePercentage").css("top", "115%");
		$(".pagePercentage").css("right", "5.5%"); */
		
	}

	$(".btnMenu").click(function(event){
		event.preventDefault();
	
		if (!($(".navbarMenu").hasClass('activated'))){
			
			$(".btnMenuDiv").addClass("btnMenuActive");
			
	
			openMenu($(".navbarMenu"));
	
		}else{
			
			$(".btnMenuDiv").removeClass("btnMenuActive");
			closeMenu($(".navbarMenu"));
			
		}
	});


	//Marcador
	$(".marcador").on('click',function(){
		if($(".comentarios").hasClass("activeBtn_Cmt")){
			$(".comentarios").removeClass("activeBtn_Cmt");
		}
		$(this).addClass("activeBtn_Mrk");
		marcaTexto(1);
		
	});

	$(".comentarios").on('click',function(){
		if($(".marcador").hasClass("activeBtn_Mrk")){
			$(".marcador").removeClass("activeBtn_Mrk");
		}
		$(this).addClass("activeBtn_Cmt");
		//abrirMenuComentarios();
		marcaTexto(2);
		
	});

	
	navegacao();
	progress_bar();
	calculatePercentage(paginas_lidas[paginas_lidas.length-1]);
	if($(".capa").length){
		$(".conteudo").css("height",$(".page").height() - $(".header").height() - 20);
	}else{
		$(".conteudo").css("height",$(".page").height() - $(".header").height() - 80);
	}
	
	

	
	
	
	if($(".page").height() < 640 && !overflowed) {
		overflowed  = true;
		
		if($(".conteudo p").length) $(".conteudo p").css("font-size", parseFloat($("body p").css("font-size").split("px")[0]) - 1);
		
		
		if($(".conteudo h2").length) $(".conteudo h2").css("font-size", parseFloat($(".conteudo h2").css("font-size")
		.split("px")[0]) - 2);

		if($(".conteudo li").length) $(".conteudo li").css("font-size", parseFloat($(".conteudo li").css("font-size").split("px")[0]) - 2);
		
		
		
		
	}else if(overflowed && $(".page").height() > 640){
		overflowed = false;
		
		if($(".conteudo p").length) $(".conteudo p").css("font-size", parseFloat($("body p").css("font-size").split("px")[0]) + 2);
		
		if($(".conteudo h2").length) $(".conteudo h2").css("font-size", parseFloat($(".conteudo h2").css("font-size").split("px")[0]) + 2);

		if($(".conteudo li").length) $(".conteudo li").css("font-size", parseFloat($(".conteudo li").css("font-size").split("px")[0]) + 2);
		
		
		
		
	}
	if(CURRENT_PAGE==1){
		$(".meter").remove();
		$(".pagePercentage").remove();
	}

	if (navigator.userAgent.search("Firefox") >= 0) {
		$(".sumarioText").css("font-size", "0.88em");
		$(".ui-accordion .ui-accordion-header").css("font-size", "0.9em");
		$(".conteudo").css("min-height", "536px");
		$(".lado-default > h4").css("font-size", "0.84em");
		
	}
	//Checa variaveis de página
	
	if(GET['font'] && !fonte_alterada){
		$('.conteudo').css('font-size',GET["font"]);
		$('.page p').css('font-size',GET["font"]);
	}

}

$('.fonte_normalizar, .fonte_aumentar, .fonte_diminuir').click(function(){
	fonte_alterada = true;
	
});


function desenhaCaixaComentario(){
	var _menu = '<div class="addComentario"><div class="comment-head">Comentário ';
	
	if(array_comments.length+1 < 10){
		_menu = _menu + "0" +(array_comments.length+1)+' <div class="comment-close">x</div></div><div class="comment-body"><textarea class="comment-text" placeholder="Insira aqui seu comentário."></textarea></div><div class="comment-publish">PUBLICAR</div></div>';
	}else{
		_menu = _menu + (array_comments.length+1)+' <div class="comment-close">x</div></div><div class="comment-body"><textarea class="comment-text" placeholder="Insira aqui seu comentário."></textarea></div><div class="comment-publish">PUBLICAR</div></div>';
	}
	
	
	
	
	
	
	$(_menu).appendTo('body');
	$(".addComentario").css("top", "9%");
	$(".addComentario").css("right", "1%");
	$(".addComentario").hide();
	$(".comment-publish").click(function(){
		var comment = $(".comment-text").val();
		if(comment!=""){
			salvaComentario(comment, CURRENT_PAGE);
		}else{
			$("div[hgt="+(array_marcacoes.length - 1)+"]").each(function(){
				$(this).removeAttr("hgt");
				$(this).removeClass("highlight");
				$(this).removeClass("highlight_cmt");
				$(this).off("click");
				$(this).addClass("normalDiv");
				
			});
			array_marcacoes.splice(array_marcacoes.length-1,1);
		}
		$(".addComentario").fadeOut("fast");
		$(document).off("mousedown");
	});
}


function desenhaMenu(){
	var _sumario = montarsumario();
	var _referencias = montarReferencias();
	var _fonte = montarTamanho_fonte();
	var _creditos = montarcreditos();
	var _paginas = montarpaginas();
	var menu = '<ul class="navbarMenu menu">'+
		'<div class="mainMenu">'+
		'<li id="sumario"><a href="#"><span class="icon-Smario"></span>SUMÁRIO</a></li>'+  
		'<li id="referencias"><a href="#"><span class="icon-Referncias"></span>REFERÊNCIAS</a></li>'+  
		'<li id="tamanho_fonte"><a href="#"><span class="icon-Fonte"></span>TAMANHO DA FONTE</a></li>'+  
		'<li id="creditos"><a href="#"><span class="icon-Crditos"></span>CRÉDITOS</a></li>'+
		'<li id="paginas"><a href="#"><span class="icon-Pginas"></span>PÁGINAS</a></li>'+
		'</div>'+ _sumario+_referencias+_fonte+_creditos+_paginas+
	'</ul>'; 
		
	$(menu).prependTo($('body'));


}

//Botoes do menu
function isOverflown(element) {
    return element.scrollHeight > element.clientHeight || element.scrollWidth > element.clientWidth;
}

function montarcreditos(){
	var creditos = '<div class="creditos"><li id="creditosMenu"><a href="#"><span class="icon-users"></span>CRÉDITOS</a><span class="voltarMenu"></span></li><ol class="frame-scroll"><p>Conteudista</p><ul><li><p>Consuelo Penha Castro Marques</p><a href="http://buscatextual.cnpq.br/buscatextual/visualizacv.do?id=K4792647J1" target="_blank"></a></li></ul><p>Revisão Técnica</p><ul><li><p>Ana Cláudia Cardozo Chaves</p><a href="http://buscatextual.cnpq.br/buscatextual/visualizacv.do?id=K4550493Y6" target="_blank"></a></li><li><p>Mariana Ramos Rodrigues</p><a href="http://buscatextual.cnpq.br/buscatextual/visualizacv.do?id=K4485486H4" target="_blank"></a></li><li><p>Melquia da Cunha Lima</p><p href="#" target="_blank"></a></li></ul><p>Revisão Pedagógica</p><ul><li><p>Deysianne Costa das Chagas</p><a href="http://buscatextual.cnpq.br/buscatextual/visualizacv.do?id=K4138732T1" target="_blank"></a></li></ul><p>Design Instrucional</p><ul><li><p>Isabelle Aguiar Prado</p><p href="" target="_blank"></a></li><li><p>Karoline Correa Trindade</p><p href="" target="_blank"></a></li><li><p>Stephanie Matos Silva</p><p href="" target="_blank"></a></li></ul><p>Design Gráfico</p><ul><li><p>Priscila Penha Coelho</p><p href="" target="_blank"></a></li><li><p>João Victor Marinho Figueiredo<p href="" target="_blank"></p></li></ul><p>Tecnologia da Informação</p><ul><li><p>Jefferson de Almeida Paixão</p><p href="" target="_blank"></a></li><li><p>Diego Costa Figueiredo</p><p href="" target="_blank"></a></li><li><p>Carlos Vinícios Monteiro Costa</p><p href="" target="_blank"></a></li></ul><p>Referência</p><ul><li><p>UNIVERSIDADE FEDERAL DO MARANHÃO. UNA-SUS/UFMA. <strong>Indicadores de morbimortalidade materno-infantil.</strong> São Luís, 2018.</p></li><li><p> Atualizado em: dezembro - 2018.</p></li></ul></ol></div>';
	return creditos;
}


function montarpaginas(){
	var paginas = '<div class="paginas"><li id="paginasMenu"><a href="#"><span class="icon-Pginas"></span>PÁGINAS</a><a class="voltarMenu"></a></li>'+
	'<div class="paginas_menu frame-scroll">';
	for(var i = 0; i<PAGES_TOTAL; i++){
		if((i+1) == CURRENT_PAGE){
			paginas = paginas + '<div class="pagina cur_page">'+(i+1)+'</div>';
		}else{
			
			if(paginas_lidas.indexOf((i+1).toString()) != -1){
				paginas = paginas + '<div class="pagina pagina_lida">'+(i+1)+'</div>';
			}else{
				paginas = paginas + '<div class="pagina">'+(i+1)+'</div>';
			}
		}
	}
	paginas = paginas + '</div></div>';
	return paginas;
}


function montarTamanho_fonte(){
	var _fonte = '<div class="tamanho_fonte">'+'<li id="tamanho_fonteMenu"><a href="#"><span class="icon-Fonte"></span>TAMANHO DA FONTE</a><a class="voltarMenu"></a></li>'+

	
	'<div class="fonte_menu">'+
	'<div class="fonte_diminuir"><span class="icon-minus"></span></div>'+
	'<div class="fonte_normalizar"><span>100%</span></div>'+
	'<div class="fonte_aumentar"><span class="icon-plus"></span></div>'+
	'</div></div>';
	return _fonte;
}

function montarReferencias(){
	var ref = ''+
	'<ul class="frame-scroll"><li id="ref1"><p>[1] BRASIL. Gabinete do Ministro. Portaria de Consolidação nº 3. Consolidação das normas sobre as redes do Sistema Único de Saúde. Brasília, 2017. Disponível em: <a href="http://bvsms.saude.gov.br/bvs/saudelegis/gm/2017/prc0003_03_10_2017.html" target="_blank">http://bvsms.saude.gov.br...</a> Acesso em: 11 jan. 2017.</p></li><li id="ref2"><p>[2] REDE Interagencial de Informação para a Saúde. Indicadores básicos para a saúde no Brasil: conceitos e aplicações. Ripsa. – 2. ed. – Brasília: Organização Pan-Americana da Saúde, 2008. 349 p.: il. Disponível em: <a href="http://tabnet.datasus.gov.br/tabdata/livroidb/2ed/indicadores.pdf" target="_blank">http://tabnet.datasus.gov.br/...</a> Acesso em: 03 dez. 2018.</p> </li><li id="ref3"><p>[3] CGIAE. Secretaria de Vigilância em Saúde. Ministério da Saúde. Painel de monitoramento da mortalidade materna. Brasília, DF, 2017. Disponível em: <a href="http://svs.aids.gov.br/dantps/centrais-de-conteudos/paineis-de-monitoramento/mortalidade/materna/" target="_blank">http://svs.aids.gov.br/...</a> Acesso em: 20 jul. 2017.</p></li><li id="ref4"><p>[4] BRASIL. Ministério da Saúde. Secretaria de Vigilância em Saúde. Saúde Brasil 2017: uma análise da situação de saúde e os desafios para o alcance dos objetivos de desenvolvimento sustentável [recurso eletrônico]. Brasília : Ministério da Saúde, 2018. 426 p. : il. Disponível em: <a href="http://bvsms.saude.gov.br/bvs/publicacoes/saude_brasil_2017_analise_situacao_saude_desafios_objetivos_desenvolvimento_sustetantavel.pdf" target="_blank">http://bvsms.saude.gov.br/...</a>. Acesso em 03 de dez. 2018.</p></li><li id="ref5"><p>[5] BRASIL. Ministério da Saúde. Portaria nº 2.351/GM/MS, de 5 de outubro de 2011. Altera a Portaria nº 1.459/GM/MS, de 24 de junho de 2011, que institui, no âmbito do Sistema Único de Saúde (SUS), a Rede Cegonha. Diário Oficial [da] República Federativa do Brasil, Brasília, DF. Disponível em: <a href="http://bvsms.saude.gov.br/bvs/saudelegis/gm/2011/prt2351_05_10_2011.html" target="_blank">http://bvsms.saude.gov.br/...</a>. Acesso em 3 de dez. 2018.</p></li><li id="ref6"><p>[6] BRASIL. Ministério da Saúde. Secretaria de Atenção à Saúde. Qualificação dos Indicadores do Manual Instrutivo para as equipes de Atenção Básica (Saúde da Família, Saúde Bucal e Equipes Parametrizadas) e NASF [recurso eletrônico]. Brasília: Ministério da Saúde, 2015. 103 p. : il. Disponível em: <a href="http://bvsms.saude.gov.br/bvs/publicacoes/qualificacao_indicadores_manual_instrutivo_equipes.pdf" target="_blank">http://bvsms.saude.gov.br/...</a>. Acesso em 03 de dez. 2018.</p></li><li id="ref7"><p>[7] SILVA, C. M. C. D. et al. Validade, confiabilidade e evitabilidade da causa básica dos óbitos neonatais ocorridos em unidade de cuidados intensivos da Rede Norte-Nordeste de Saúde Perinatal. Cad. Saúde Pública, Rio de Janeiro, v. 29, n. 3, p. 547-556, mar. 2013. Disponível em: <a href="http://www.scielosp.org/pdf/csp/v29n3/a12v29n3.pdf" target="_blank">http://www.scielosp.org/...</a>. Acesso em 09 de ago. 2016.</p></li><li id="ref8"><p>[8] MOMBELLI, M. A. et al. Fatores de risco para mortalidade infantil em municípios do Estado do Paraná, de 1997 a 2008. Rev. Paul. Pediatr, v. 30, n. 2, p. 187-194, 2012.</p></li><li id="ref9"><p>[9] MAIA, L. T. S.; SOUZA, W. V.; MENDES, A. C. G. Diferenciais nos fatores de risco para a mortalidade infantil em cinco cidades brasileiras: um estudo de caso-controle com base no SIM e no SINASC. Cad. Saúde Pública, Rio de Janeiro, v. 28, n. 11, p. 2163-2176, nov. 2012. Disponível em: <a href="http://www.scielo.br/pdf/csp/v28n11/16.pdf" target="_blank">http://www.scielo.br/...</a>. Acesso em 09 de ago. 2016.</p></li><li id="ref10"><p>[10] SECRETARIA DE ATENÇÃO À SAÚDE. Novos e Velhos Desafios para implementação da Rede Cegonha: Oficina tripartite sobre mortalidade materna e na infância. Brasília, 2018.Disponível em: <a href="http://portalarquivos2.saude.gov.br/images/pdf/2018/setembro/13/Oficina-Mortalidade-Materna-e-Infantil-CTI-MESA-DAPES-DAB.pdf" target="_blank">http://portalarquivos2.saude.gov.br/...</a>. Acesso em 03 de dez. 2018.</p></li><li id="ref11"><p>[11] BRASIL. Ministério da Saúde. Secretaria de Atenção à Saúde. Manual dos comitês de mortalidade materna. Brasília: Editora do Ministério da Saúde, 2009. 3. ed. 104 p.: il – (Série A. Normas e Manuais Técnicos). Disponível em: <a href="http://bvsms.saude.gov.br/bvs/publicacoes/manual_comites_mortalidade_materna.pdf" target="_blank">http://bvsms.saude.gov.br/...</a>. Acesso em 03 de dez. 2018.</p></li><li id="ref12"><p>[12] SUCUPIRA, Ana Cecília Silveira Lins et al. Social Determinants of Health among children aged between 5 and 9 years within the urban area, Sobral, Ceará, Brazil. Revista Brasileira de Epidemiologia, v. 17, p. 160-177, 2014. Disponível em: <a href="http://www.scielo.br/scielo.php?pid=S1415-790X2014000600160&script=sci_arttext&tlng=es" target="_blank">http://www.scielo.br/...</a>. Acesso em 03 de dez. 2018.</p></li><li id="ref13"><p>[13] NASCIMENTO, R. M. et al. Determinantes da mortalidade neonatal: estudo caso-controle em Fortaleza, Ceará, Brasil. Cad Saúde Pública, Rio de Janeiro, v. 28, n. 3, p. 559-572, mar. 2012. Disponível em: <a href="http://www.scielo.br/pdf/csp/v28n3/16.pdf" target="_blank">http://www.scielo.br/...</a>. Acesso em 09 de ago. 2016.</p></li><li id="ref14"><p>[14] KASSAR, S. B. et al. Determinants of neonatal death with emphasis on health care during pregnancy, childbirth and reproductive history. J Pediatr, v. 89, n. 3, p. 269-277, 2013. Disponível em: <a href="http://formsus.datasus.gov.br/novoimgarq/20337/3249145_109700.pdf" target="_blank">http://formsus.datasus.gov.br/...</a>. Acesso em 09 de ago. 2016.</p></li><li id="ref15"><p>[15] LIMA, E. F. A. et al. Fatores de risco para mortalidade neonatal no município de Serra, Espírito Santo. Rev Bras Enferm, v. 65, n. 4, p. 578-585, jul./ago. 2012. Disponível em: <a href="http://www.scielo.br/pdf/reben/v65n4/a05v65n4.pdf" target="_blank">http://www.scielo.br/...</a>. Acesso em 09 de ago. 2016.</p></li><li id="ref16"><p>[16] BRASIL. Ministério da Saúde. Secretaria de Atenção à Saúde. Pacto pela redução da mortalidade infantil no Nordeste e Amazônia Legal: 2009-2010. Brasília, DF: Ministério da Saúde, 2010.184 p. (Série ODM Saúde Brasil, v. III) (Série B. Textos Básicos em Saúde). Disponível em: <a href="http://bvsms.saude.gov.br/bvs/publicacoes/pacto_reducao_mortalidade_infantil_nordeste.pdf" target="_blank">http://bvsms.saude.gov.br/...</a>. Acesso em 08 de ago. 2016.</p></li><li id="ref17"><p>[17] BRASIL. Ministério da Saúde. Protocolos da Atenção Básica: saúde das mulheres. Brasília: Instituto Sírio-Libanês de Ensino e Pesquisa, 2016. Disponível em: <a href="http://189.28.128.100/dab/docs/portaldab/publicacoes/protocolo_saude_mulher.pdf" target="_blank">http://189.28.128.100/...</a>. Acesso em 20 de jun. 2016.</p></li><li id="ref18"><p>[18] BRASIL. Ministério da Saúde. Protocolos da Atenção Básica: saúde das mulheres. Brasília: Instituto Sírio-Libanês de Ensino e Pesquisa, 2016. Disponível em: <a href="http://189.28.128.100/dab/docs/portaldab/publicacoes/protocolo_saude_mulher.pdf" target="_blank">http://189.28.128.100/...</a>. Acesso em 20 de jun. 2016.</p></li><li id="ref19"><p>[19] UNITED NATIONS CHILDRENS FUND. Levels & trends in child mortality: report 2015 estimates developed by the UN Inter-agency Group for Child Mortality Estimation, 2015. Disponível em: <a href="https://www.unicef.org/media/files/IGME_Report_Final2.pdf" target="_blank">https://www.unicef.org/...</a>. Acesso em 03 de dez. 2018.</p></li><li id="ref20"><p>[20] MONTEIRO, Carlos Augusto et al . Causas do declínio da desnutrição infantil no Brasil, 1996-2007. Rev. Saúde Pública,  São Paulo ,  v. 43, n. 1, p. 35-43,  Feb.  2009.</p></li><li id="ref21"><p>[21] FRANÇA, Elisabeth Barbozaet al. Principais causas da mortalidade na infância no Brasil, em 1990 e 2015: estimativas do estudo de Carga Global de Doença. Revista Brasileira de Epidemiologia [online]. 2017, v. 20, n. Suppl 01 [Acessado 5 Outubro 2018] , pp. 46-60. Disponível em: <a href="http://www.scielo.br/pdf/rbepid/v20s1/1980-5497-rbepid-20-s1-00046.pdf" target="_blank">http://www.scielo.br/...</a>. Acesso em 03 de dez. 2018.</p></li><li id="ref22"><p>[22] WHO. Maternal mortality. 2014. Disponível em: <a href="http://www.who.int/mediacentre/factsheets/fs348/en/" target="_blank">http://www.who.int/...</a>. Acesso em 19 de jan. 2015.</p></li><li id="ref23"><p>[23] SOUZA, Joao Paulo. A mortalidade materna e os novos objetivos de desenvolvimento sustentável (2016–2030). Rev Bras Ginecol Obstet. 2015; 37(12):549-51. Disponível em: <a href="http://www.scielo.br/pdf/rbgo/v37n12/0100-7203-rbgo-37-12-00549.pdf" target="_blank">http://www.scielo.br/...</a>. Acesso em 04 de dez. 2018.</p></li><li id="ref24"><p>[24] ONU-BR. Objetivo 3. Assegurar uma vida saudável e promover o bem-estar para todas e todos, em todas as idades, 2014. Disponível em: <a href="https://nacoesunidas.org/pos2015/ods3/" target="_blank">https://nacoesunidas.org/...</a>. Acesso em 04 de dez. 2018.</p></li><li id="ref25"><p>[25] FRANÇA, Elisabeth Barboza et al. Principais causas da mortalidade na infância no Brasil, em 1990 e 2015: estimativas do estudo de Carga Global de Doença. Revista Brasileira de Epidemiologia [online]. 2017, v. 20, n. Suppl 01 [Acessado 5 Outubro 2018], pp. 46-60. Disponível em: <a href="http://www.scielo.br/pdf/rbepid/v20s1/1980-5497-rbepid-20-s1-00046.pdf" target="_blank">http://www.scielo.br/...</a>. Acesso em 04 de dez. 2018.</p></li><li id="ref26"><p>[26] TEIXEIRA, J. M. C. et al. Plano estadual 2012-2015. São Paulo: Secretaria de Estado da Saúde, 2012. 2012 p. Disponível em: <a href="http://www.saude.sp.gov.br/resources/ses/perfil/gestor/documentos-de-planejamento-em-saude/plano-estadual-de-saude-2012-2015-sessp/pes_2012_2015.pdf" target="_blank">http://www.saude.sp.gov.br/...</a>. Acesso em 09 de ago. 2016.</p></li><li id="ref27"><p>[27] BRASIL. Ministério da Saúde. Mortalidade materna no Brasil. Boletim Epidemiológico, Volume 43 N 1, 2012. Disponível em: <a href="http://portalarquivos2.saude.gov.br/images/pdf/2014/julho/23/BE-2012-43--1--pag-1-a-7---Mortalidade-Materna.pdf" target="_blank">http://portalarquivos2.saude.gov.br/...</a>. Acesso em 04 de dez. 2018.</p></li><li id="ref28"><p>[28] MARTINS, Ana Claudia Sierra Martins; SILVA, Lélia Souza Silva. Perfi l epidemiológico de mortalidade materna. Rev Bras Enferm [Internet]. 2018;71(supl1):725-31. Dispon[ivel em: <a href="http://www.scielo.br/pdf/reben/v71s1/pt_0034-7167-reben-71-s1-0677.pdf" target="_blank">http://www.scielo.br/...</a>. Acesso em 04 de dez. 2018.</p></li><li id="ref29"><p>[29] SAY, Lale et al. Global causes of maternal death: a WHO systematic analysis. The Lancet Global Health, v. 2, n. 6, p. e323-e333, 2014.  Disponível em: <a href="https://www.thelancet.com/journals/langlo/article/PIIS2214-109X(14)70227-X/fulltext" target="_blank">https://www.thelancet.com/...</a>. Acesso em 04 de dez. 2018.</p></li><li id="ref30"><p>[30] CAVALCANTI, P. C. S. et al. O modelo lógico da Rede Cegonha. Physis Revista de Saúde Coletiva, Rio de Janeiro, v. 23, n. 4, p.1297-1316, 2013. Disponível em: <a href="http://www.scielo.br/pdf/physis/v23n4/14.pdf" target="_blank">http://www.scielo.br/...</a>. Acesso em 09 de ago. 2016.</p></li><li id="ref31"><p>[31] BRASIL. Ministério da Saúde. Secretaria de Atenção à Saúde. Atenção ao pré-natal de baixo risco [recurso eletrônico]. – 1. ed. rev. – Brasília: Editora do Ministério da Saúde, 2013. 318 p.: il. – (Cadernos de Atenção Básica, n° 32) Disponível em: <a href="http://www.rio.rj.gov.br/dlstatic/10112/6536378/4175300/23CAP32_prenatal.pdf" target="_blank">http://www.rio.rj.gov.br/...</a>. Acesso em 04 de dez. 2018.</p></li></ul>';
	ref = '<div class="referencias"><li id="referenciasMenu"><a href="#"><span class="icon-quotes-left"></span>REFERÊNCIAS</a><a class="voltarMenu"></a></li>' +ref+'</div>';
	return ref;
}

function montarsumario(){


	var sumarioHtml = '<div class="divsumario frame-scroll">';
	var sumarioCirc ='<div class="sumarioBlockCircles">';
	var sumarioText = '<div class="sumarioBlockText">';
	var topics = Object.keys(sumario).length;
	var curPage = paginas_lidas[paginas_lidas.length-1];

	for(var i = 0; i<topics; i++){
		if(sumario[i+1].paginaE < curPage){
			if(i != 0){
				sumarioCirc = sumarioCirc + '<div class="sumarioLine sumarioLineC"></div>';
			}
			sumarioCirc = sumarioCirc + '<div id="sumarioC'+sumario[i+1].paginaB+'" class="sumarioCircle sumarioCircleC">'+sumario[i+1].paginaB+'</div>';	
		}else if(sumario[i+1].paginaB > curPage){
			if(i != 0){
				sumarioCirc = sumarioCirc + '<div class="sumarioLine"></div>';
			}
			sumarioCirc = sumarioCirc + '<div id="sumarioC'+sumario[i+1].paginaB+'" class="sumarioCircle">'+sumario[i+1].paginaB+'</div>';
		}else{
			if(i != 0){
				sumarioCirc = sumarioCirc + '<div class="sumarioLine sumarioLineC"></div>';
			}
			sumarioCirc = sumarioCirc + '<div id="sumarioC'+sumario[i+1].paginaB+'" class="sumarioCircle sumarioCircleInc">'+sumario[i+1].paginaB+'</div>';
		}

		sumarioText = sumarioText+'<div id="sumario'+sumario[i+1].paginaB+'" class="sumarioText">'+sumario[i+1].titulo+'</div>';
		
	}
	sumarioCirc = sumarioCirc + "</div>";
	sumarioText = sumarioText + "</div>";
	sumarioHtml = sumarioHtml + sumarioCirc + sumarioText + '</div>';
	sumarioHtml = '<div class="block sumario"><li id="sumarioMenu"><a href="#"><span class="icon-Smario"></span>SUMÁRIO</a><a class="voltarMenu"></a></li>'+sumarioHtml + '</div>';
	
	console.log("overflow:"+isOverflown($('.divsumario')));
	
	return sumarioHtml;
}

function abrirSubMenu(menu){
	
	clearMenu();
	$(".navbarMenu").removeClass("menu");
	$(".navbarMenu").addClass(menu);
	
	$(".mainMenu").hide();
	$('.'+menu).show();
	$(".navbarMenu."+menu+"  ul").scrollTop(0);
	$(".navbarMenu."+menu+"  div").scrollTop(0);

}

function fecharSubMenu(menu){
	$(".navbarMenu").addClass("menu");
	$(".navbarMenu").addClass(menu+"-menu");
	$(".navbarMenu").removeClass(menu);
	$('.'+menu).hide();
	$(".mainMenu").show();
}

$('#creditos').on('click', function(){
	abrirSubMenu("creditos");
});

$('#paginas').on('click', function(){
	abrirSubMenu("paginas");
});

$('#sumario').on('click', function(){
	abrirSubMenu("sumario");
});

$('#referencias').on('click', function(){
	abrirSubMenu("referencias");
});
$('#tamanho_fonte').on('click', function(){
	abrirSubMenu("tamanho_fonte");
});


$('#creditosMenu').on('click', function(){
	fecharSubMenu("creditos");
});

$('#paginasMenu').on('click', function(){
	fecharSubMenu("paginas");
});


$('#referenciasMenu').on('click', function(){
	fecharSubMenu("referencias");
	$(".referencias>ul>li").each(function(){
		$(this).removeClass("focused");
	});
});


$('#sumarioMenu').on('click', function(){
	fecharSubMenu("sumario");
});
$('#tamanho_fonteMenu').on('click', function(){
	$(".navbarMenu").addClass("menu");
	$(".navbarMenu").addClass("tamanho-fonte-menu");
	$(".navbarMenu").removeClass("tamanho_fonte");
	$('.tamanho_fonte').hide();
	$(".mainMenu").show();
});


function clearMenu(){
	$(".navbarMenu").removeClass("tamanho-fonte-menu");
	$(".navbarMenu").removeClass("sumario-menu");
	$(".navbarMenu").removeClass("creditos-menu");
	$(".navbarMenu").removeClass("referencias-menu");
	$(".navbarMenu").removeClass("paginas-menu");
}




function openMenu(obj) {
	Events.trigger("menu_open", obj);
	$('.sumario').hide();
	$('.creditos').hide();
	$('.paginas').hide();
	$('.referencias').hide();
	$('.tamanho_fonte').hide();
	$(".mainMenu").show();
	$(obj).addClass("menu");
    
	$(obj).removeClass('deactivated'); 
	$(obj).removeClass('closeSmall_menu'); 
	$(obj).addClass('activated');
	$(".comentarios").addClass("comentarios_navbar_open");
	$(".marcador").addClass("marcador_navbar_open");
}


function closeMenu(obj) {
	if($(obj).hasClass("tamanho_fonte") || $(obj).hasClass("paginas")){
		$(obj).addClass("closeSmall_menu");
	}
	$(obj).removeClass('sumario'); 
	$(obj).removeClass('sumario-menu'); 
	$(obj).removeClass('creditos'); 
	$(obj).removeClass('creditos-menu'); 
	$(obj).removeClass('tamanho_fonte'); 
	$(obj).removeClass('tamanho-fonte-menu'); 
	$(obj).removeClass('referencias');
	$(obj).removeClass('referencias-menu'); 
	$(obj).removeClass('paginas'); 
	$(obj).removeClass('paginas-menu'); 
	$(obj).removeClass('activated'); 
	$(obj).addClass('deactivated');
	$(".referencias>ul>li").each(function(){
		$(this).removeClass("focused");
	});
	$(".comentarios").removeClass("comentarios_navbar_open");
	$(".marcador").removeClass("marcador_navbar_open");
}







$(document).ready(function(event) {
	//Recupera marcações e comentarios
	recuperaMarcacoes();
	recuperaComentarios();


	//Referencias
	$(".ref").click(function(){
	
		var ref = $(this).text();
		closeMenu(".navbarMenu");
		openMenu($(".navbarMenu"));
		abrirSubMenu("referencias");
	
		

		var height = 0;
		for (var i = 1; i<parseInt(ref);i++){
			height += $("#ref"+i).height();
			
		}
	
		console.log(height);
		$(".referencias ul li").each(function(){
			$(this).removeClass("focused");
		});
		$('.referencias ul').animate({
			scrollTop: height
		}, 1000);
		$("#ref"+ref).addClass("focused");
		$("#ref"+ref).hover(function(){
			$(this).removeClass("focused");
		});
	});

	



});

//Marca texto
function marcaTexto(mode){
	$("html").css("cursor","text");

	text = window.getSelection().toString();
	console.log(text);
	if(text!=""){
		var pos;
	
		
		pos = $(window.getSelection().anchorNode.parentElement).offset().top;
		var userSelection = window.getSelection().getRangeAt(0);
		var safeRanges = getSafeRanges(userSelection);
		
		for (var i = 0; i < safeRanges.length; i++) {
			
			highlightRange(safeRanges[i], mode);
		}
		$("html").css("cursor","auto");
		$(".page").off("mouseup");
		if(mode == 2){
			abrirMenuComentario(pos);
		}
		
		salvaMarcacao(window.getSelection().anchorNode.parentElement, text, CURRENT_PAGE, mode);
		
		console.log('entrou no teste');
		$(".marcador").removeClass("activeBtn_Mrk");
	}else{
		$(".page").off('mouseup');
		$(".page").mouseup(function(){
			
			var text = "";
			var pos;
			if (window.getSelection) {
				text = window.getSelection().toString();
				if(text!=""){
					pos = $(window.getSelection().anchorNode.parentElement).offset().top;
					var userSelection = window.getSelection().getRangeAt(0);
					var safeRanges = getSafeRanges(userSelection);
					for (var i = 0; i < safeRanges.length; i++) {
						highlightRange(safeRanges[i], mode);
					}
					$("html").css("cursor","auto");
					$(".page").off("mouseup");
				
					if(mode == 2){
						abrirMenuComentario(pos);
					}
					salvaMarcacao(window.getSelection().anchorNode.parentElement, text, CURRENT_PAGE, mode);
				}
			}
			$(".marcador").removeClass("activeBtn_Mrk");	
			
			
		});
	}
}

function highlightRange(range, mode) {
	var newNode = document.createElement("div");
	if(mode == 1){
		newNode.classList.add('highlight');
	}else{
		newNode.classList.add('highlight_cmt');
	}
	
	newNode.setAttribute('hgt', array_marcacoes.length);
    range.surroundContents(newNode);
}

function getSafeRanges(dangerous) {
    var a = dangerous.commonAncestorContainer;
    // Starts -- Work inward from the start, selecting the largest safe range
    var s = new Array(0), rs = new Array(0);
    if (dangerous.startContainer != a)
        for(var i = dangerous.startContainer; i != a; i = i.parentNode)
            s.push(i)
    ;
    if (0 < s.length) for(var i = 0; i < s.length; i++) {
        var xs = document.createRange();
        if (i) {
            xs.setStartAfter(s[i-1]);
            xs.setEndAfter(s[i].lastChild);
        }
        else {
            xs.setStart(s[i], dangerous.startOffset);
            xs.setEndAfter(
                (s[i].nodeType == Node.TEXT_NODE)
                ? s[i] : s[i].lastChild
            );
        }
        rs.push(xs);
    }

    // Ends -- basically the same code reversed
    var e = new Array(0), re = new Array(0);
    if (dangerous.endContainer != a)
        for(var i = dangerous.endContainer; i != a; i = i.parentNode)
            e.push(i)
    ;
    if (0 < e.length) for(var i = 0; i < e.length; i++) {
        var xe = document.createRange();
        if (i) {
            xe.setStartBefore(e[i].firstChild);
            xe.setEndBefore(e[i-1]);
        }
        else {
            xe.setStartBefore(
                (e[i].nodeType == Node.TEXT_NODE)
                ? e[i] : e[i].firstChild
            );
            xe.setEnd(e[i], dangerous.endOffset);
        }
        re.unshift(xe);
    }

    // Middle -- the uncaptured middle
    if ((0 < s.length) && (0 < e.length)) {
        var xm = document.createRange();
        xm.setStartAfter(s[s.length - 1]);
        xm.setEndBefore(e[e.length - 1]);
    }
    else {
        return [dangerous];
    }

    // Concat
    rs.push(xm);
    response = rs.concat(re);    

    // Send to Console
    return response;
}

//Abre menu para adicionar comentarios

function abrirMenuComentario(pos){
	$(".addComentario").remove();
	desenhaCaixaComentario();
	$(".addComentario").fadeIn("fast");
	$(".addComentario").css("top", pos+9);
	$(document).on("mousedown", function(event) {
		
		if(!($(event.target).hasClass('addComentario') || $(event.target).hasClass('comment-head') || $(event.target).hasClass('comment-body') || $(event.target).hasClass('comment-publish') || $(event.target).hasClass('comment-text') )){
			
			
			
			$("div[hgt="+(array_marcacoes.length - 1)+"]").each(function(){
				$(this).removeAttr("hgt");
				$(this).removeClass("highlight");
				$(this).removeClass("highlight_cmt");
				$(this).off("click");
				$(this).addClass("normalDiv");
				
			});
			array_marcacoes.splice(array_marcacoes.length-1,1);
				
			
			$(".addComentario").fadeOut("fast");
			$(document).off("mousedown");
		}
	});
}

/* 
function abrirMenuComentarios(){
	if(!$(".menuComentarios").hasClass("activated")){
		$(".comments").scrollTop(0);
		$(".menuComentarios").addClass("activated");
		$(".menuComentarios").removeClass("deactivated");

		if($(".comments").hasClass("not_empty")){
			$(".comments").empty();
		}
	
		var comments = "";
		for(var i = 0; i<array_comments.length; i++){
			
			comments = comments+'<li class="cmt" id="cmt'+array_comments[i]._id+'">'+array_comments[i]._text+'</li>';
		}
		
		$(comments).appendTo(".comments");
		
	}
	else{
		closeMenu_Comentarios();
		
	}
} */




function abrirMenuComentarios(cmt){
		
	
	if(!$(".comentarios").hasClass("activeBtn_Cmt")){
		$(".comentarios").addClass("activeBtn_Cmt");
		
		
		
		var comment = '<div class="cmt" data-modal-selector="#cmt_text'+array_comments[cmt]._id+'" id="cmt'+array_comments[cmt]._id+'">';
		
		if((parseInt(cmt)+1) < 10){
			comment = comment + "0" + (parseInt(cmt)+1)+'</div>';
		}else{
			comment = comment + (parseInt(cmt)+1)+'</div>';
		}
		
		
		
		$(comment).appendTo(".conteudo");
		
		var largest = getLargestHgt(array_comments[cmt]._id);

		var window_width = $(window).width();
		var conteudo_w = $(".conteudo").width();
		console.log(largest.width);
		console.log(conteudo_w);
		if(window_width < 900 && largest.width+5 >= conteudo_w){
			$('#cmt'+array_comments[cmt]._id).offset({ top: $("div[hgt="+array_comments[cmt]._id+"]").offset().top-25, left:largest.offset+largest.width-30 });
			
		}else{
			
			$('#cmt'+array_comments[cmt]._id).offset({ top: $("div[hgt="+array_comments[cmt]._id+"]").offset().top, left:largest.offset+largest.width+5 });
			
		}
		
		

		var modal = ''+
		'<div class="modal modal_cmt modal_content" id="cmt_text'+array_comments[cmt]._id+'">'+
		
			'<div class="header modal_content">';
			if((parseInt(cmt)+1) < 10){	
				modal = modal + '<p class="modal_content">Comentário '+"0"+(parseInt(cmt)+1)+'</p>';
			}else{
				modal = modal + '<p class="modal_content">Comentário '+(parseInt(cmt)+1)+'</p>';
			}
				modal = modal + '<div class="btn-close">x</div><div class="comment-exclude icon-bin modal_content"></div><div class="comment-edit modal-edit icon-pencil modal_content"></div>'+
				'</div>'+
					
				'<div class="content modal_content">'+
				''+array_comments[cmt]._text+
				
				'</div>'+'<div class="modal_cmt_footer"><div class="comment-publish-edit modal_content">PUBLICAR</div></div>'+
		
			'</div>'+
				
		
		'</div>';
		$('.page').after(modal);

		var div_cmt = '<div class="div_cmt modal_content" id="div_cmt'+array_comments[cmt]._id+'"><div class="comment-head modal_content">Comentário ';


		if((parseInt(cmt)+1) < 10){
			
			div_cmt = div_cmt + "0"+(parseInt(cmt)+1)+' <div class="comment-close ">x</div><div class="comment-exclude icon-bin modal_content"></div><div class="comment-edit icon-pencil modal_content"></div></div><div class="comment-body modal_content"><div class="comment-text modal_content">'+array_comments[cmt]._text+'</div></div><div class="comment-publish-edit modal_content">PUBLICAR</div></div>';
		}else{
			div_cmt = div_cmt + (parseInt(cmt)+1)+' <div class="comment-close ">x</div><div class="comment-exclude icon-bin modal_content"></div><div class="comment-edit icon-pencil modal_content"></div></div><div class="comment-body modal_content"><div class="comment-text modal_content">'+array_comments[cmt]._text+'</div></div><div class="comment-publish-edit modal_content">PUBLICAR</div></div>';
		}
		
		
		
		$(div_cmt).appendTo("body");

		
		
		$(".cmt").click(function(){
			var window_width = $(window).width();
			if(window_width<900){
				
				var modal_fade = $('<div class="modal-fade" id="md1"></div>').prependTo('.conteudo');
				$("#md1").css("height", $(window).outerHeight());
				$("#md1").css("width", $(window).outerWidth());
				$("#md1").css("position","fixed");


				var modal_fadeFront = $('<div class="modal-fade-front" id="md2"></div>').appendTo('.conteudo');
				$("#md2").css("height", $(window).outerHeight());
				$("#md2").css("width", $(window).outerWidth());
				$("#md2").css("position","fixed");

				modal_fade.fadeIn("fast");
				modal_fadeFront.fadeIn("fast");
				var modal = $($(this).data('modal-selector'));
				
				modal.css({height:"auto"});
				
				modal.fadeIn("fast");
				
				
				
			}else{
				var id = $(this).attr("id")[3];
				$("#div_cmt"+id).fadeIn("fast");
				
			}
		});

		$(".comment-exclude").click(function(){
			$("div[hgt="+array_comments[cmt]._id+"]").each(function(){
				$(this).removeAttr("hgt");
				$(this).removeClass("highlight_cmt");
				$(this).off("click");
				$(this).addClass("normalDiv");
				
			
			});
			array_marcacoes.splice(array_comments[cmt]._id,1);
			array_commented.splice(array_commented.indexOf(array_comments[cmt]._id),1);
			array_comments.splice(cmt, 1);
			closeMenu_Comentarios();
		});

		$(".comment-edit").click(function(){
			$(".comment-publish-edit").show();
			
			if($(this).hasClass("modal-edit")){
				editComment_Modal();
			}else{
				$(".div_cmt").addClass("on_edit");
				editComment();
			}
			
		});
		
		
	}
	else{
		closeMenu_Comentarios();
		
	}
}

function editComment(){
	var divHtml = $(".comment-text.modal_content").html();
	var editableText = $("<textarea class='comment-text-edit modal_content' />");
	
	editableText.val(divHtml);
	$(".comment-text.modal_content").replaceWith(editableText);
	editableText.focus();
	//Terminar colocando botao de editar;
	$(".comment-publish-edit").off("click");

	$(".comment-publish-edit").click(function(){
		
		var html = $(".comment-text-edit").blur().val();
		
		var viewableText = $("<div class='comment-text modal_content'>");
		
		viewableText.html(html);
		$(".comment-text-edit").replaceWith(viewableText);
		var cmt_id = $(".div_cmt").attr("id").split("div_cmt")[1];
		
		array_comments[cmt_id]._text = html;
		
		
		
		$(".comment-publish-edit").hide();
		$(".div_cmt").removeClass("on_edit");
	});
}


function editComment_Modal(){
	var divHtml = $(".content").html();
	var editableText = $("<textarea class='comment-text-edit content modal_content' />");
	
	editableText.val(divHtml);
	$(".content").replaceWith(editableText);
	editableText.focus();

	$(".comment-publish-edit").off("click");

	$(".comment-publish-edit").click(function(){
		
		var html = $(".comment-text-edit").val();
		
		var viewableText = $("<div class='content modal_content'>");
		viewableText.html(html);
		$(".comment-text-edit").replaceWith(viewableText);
		var cmt_id = $(".modal_cmt").attr("id").split("cmt_text")[1];
		
		array_comments[cmt_id]._text = html;
		
		
		$(".comment-publish-edit").hide();
	});
}

/* 
function closeMenu_Comentarios(){
	if($(".menuComentarios").hasClass("activated")){
		$(".menuComentarios").removeClass("activated");
		$(".menuComentarios").addClass("deactivated");
		$(".cmt").each(function(){
			$(this).removeClass("focused");
		});
	}
	
	$(".comentarios").removeClass("activeBtn");
}
 */



function closeMenu_Comentarios(){
	
	$(".cmt").each(function(){
		$(this).remove();
	});
	$(".modal_cmt").each(function(){
		$(this).remove();
	});
	$(".div_cmt").each(function(){
		$(this).remove();
	});

	var pg = $('body > .page');
    

  
 
	pg.animate({ 'opacity': "1" });
	$(".modal-fade-front").remove();
	$(".modal-fade").remove();
        
	
	$(".comentarios").removeClass("activeBtn_Cmt");
	highlight_open = false;

}


//Salva marcações
function salvaMarcacao(element, text, page, mode){
	$(".highlight, .highlight_cmt").off('click');
	$(".highlight, .highlight_cmt").click(function(){
		if(highlight_open == false){
			highlight_open = true;
			var hgt = $(this).attr("hgt");
			
			if(array_commented.includes(parseInt(hgt))){
				
				var cmt = array_commented.indexOf(parseInt(hgt));
				
				abrirMenuComentarios(cmt);
				
			}else{
				deletarMarcacao(hgt);
			}
		}
	});
	array_marcacoes.push(text);
}

function getLargestHgt(hgt){
	var largest = {
		width: 0,
		offset: 0
	}
	var width = 0;
	var offset;
	$("div[hgt="+hgt+"]").each(function(){
		if(width < $(this).width()){
			width = $(this).width();
			offset = $(this).offset().left;
		}
	});
	largest.width = width;
	largest.offset = offset;

	return largest;
}

function deletarMarcacao(hgt){
	if(!$(".delcmt").length){
		var icone = '<div class="delcmt icon-cross" id="delcmt'+hgt+'"></div>';
		$(icone).appendTo(".conteudo");

		var largest = getLargestHgt(hgt);

		var window_width = $(window).width();
		var conteudo_w = $(".conteudo").width();

		if(window_width < 900 && largest.width >= conteudo_w){
			$('#delcmt'+hgt).offset({ top: $("div[hgt="+hgt+"]").offset().top-20, left: largest.offset+largest.width-28 });

			
		}else{
			
			$('#delcmt'+hgt).offset({ top: $("div[hgt="+hgt+"]").offset().top-15, left: largest.offset+largest.width+2 });
			
		}

		
		$(".delcmt").click(function(){
			$("div[hgt="+hgt+"]").each(function(){
				$(this).removeAttr("hgt");
				$(this).removeClass("highlight");
				$(this).off("click");
				$(this).addClass("normalDiv");
				$(".delcmt").remove();
				highlight_open = false;
			});
			array_marcacoes.splice(hgt,1);
		});
	}
}
$("html").mousedown(function(e){
	if( $(".delcmt").length>=1 && !$(e.target).hasClass("delcmt")){
		$(".delcmt").remove();
		highlight_open = false;
	}
});

//Recupera marcações
function recuperaMarcacoes(){

}



//Salva comentarios
function salvaComentario(text, page){
	//Colocar no menu e depois enviar para storage
	$("#placeholder_comment").remove();
	$(".comments").addClass("not_empty");
	var comment = {
		_text: text,
		_id: array_marcacoes.length-1
	};
	array_commented.push(array_marcacoes.length-1);
	array_comments.push(comment);
}

//Recupera comentarios
function recuperaComentarios(){

}

function calculatePercentage(page){
		var percentage =  Math.floor((page/PAGES_TOTAL)*100);
		//console.log(percentage);
		 var curPercentage = localStorage.getItem('pagePercentage'+UNIDADE_NAME);
		 
		


  		if(curPercentage===null){
 			localStorage.setItem('pagePercentage'+UNIDADE_NAME, percentage);
  		}else{

			if(percentage > 100) percentage = 100;
			if(curPercentage > 100) curPercentage = 100;

  			if(percentage > curPercentage){
 				localStorage.setItem('pagePercentage'+UNIDADE_NAME, percentage);
  			}else{
  				percentage = curPercentage;
  			}
		  }
		  
		if(percentage > 100) percentage = 100;
 		$('.pagePercentage').text(percentage+'%');
  		
}


function get_paginasLidas(){
	paginas_lidas =  localStorage.getItem('paginas_lidas'+UNIDADE_NAME);
	if(paginas_lidas!=null){	
		paginas_lidas = JSON.parse(paginas_lidas);
	}else{
		paginas_lidas = [];
	}
}
function set_paginasLidas(){
	var paginas_lidasJson = JSON.stringify(paginas_lidas);
	localStorage.setItem('paginas_lidas'+UNIDADE_NAME, paginas_lidasJson);
}

$(document).ready(function(){
	$("h2").after("<div class='underh2'></div>");
});


